ru.bitel.bgbilling.plugins.documents.server.bean.event

## Class GenerateDocumentEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.plugins.documents.server.bean.event.GenerateDocumentEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class GenerateDocumentEvent
      extends LocalEvent

  Синхронное событие - генерация документа.
  Событие вызывается перед генерацией документа.
  Используется даннное событие для передачи всего необходимого в динамические Java классы для генерации документов.
  Унаследовано от `LicalEvent`
  Author:
    kostya
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateDocumentEvent()` Пустой конструкто события.
    `GenerateDocumentEvent(java.lang.String patternDirectory, java.lang.String rootDirectorySave, java.lang.String patternTitle, int patternId, int contractId, int userId, int moduleId, int pluginId, int journalId, int typeId, java.util.Map<java.lang.String,java.lang.Object> paramsMap)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDocumentTypeId()` Возвращает код типа документа.
    `int` | `getIdDocument()` Возвращает код сгенерированного документа, прикрепленного к договору.
    `int` | `getJournalId()` Возвращает код журнала.
    `java.util.Map<java.lang.String,java.lang.Object>` | `getParamsMap()` Возвращает мап с параметрами для документа.
    `java.lang.String` | `getPatternDirectory()` Возвращает путь к директории, где находится шаблон
    `int` | `getPatternId()` Возвращает код шаблона.
    `java.lang.String` | `getPatternTitle()` Возвращает название шаблона.
    `java.lang.String` | `getRootDirectorySave()` Возвращает путь к директитории, куда будет сохранен сгенерированный документ
    `void` | `setIdDocument(int idDocument)` Устанавливает код сгенерированного документа, прикрепленного к договору

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateDocumentEvent

          public GenerateDocumentEvent()

      Пустой конструкто события.

    - #### GenerateDocumentEvent

          public GenerateDocumentEvent(java.lang.String patternDirectory,
                                       java.lang.String rootDirectorySave,
                                       java.lang.String patternTitle,
                                       int patternId,
                                       int contractId,
                                       int userId,
                                       int moduleId,
                                       int pluginId,
                                       int journalId,
                                       int typeId,
                                       java.util.Map<java.lang.String,java.lang.Object> paramsMap)

      Конструктор события.
      Parameters:
        `patternDirectory` - - путь к директории, откуда брать шаблон документа
        `rootDirectorySave` - - путь к директории, куда сохранять документ
        `patternTitle` - - название шаблона
        `patternId` - - код шаблона
        `contractId` - - код договора
        `userId` - - id пользователя, сгенерировавшего событие
        `moduleId` - - код модуля
        `pluginId` - - код плугина
        `journalId` - - код записи в журнале
        `typeId` - - код типа записи
        `paramsMap` - - мап с параметрами, которые нужно подставить в документ

  - ### Method Detail

    - #### getPatternDirectory

          public java.lang.String getPatternDirectory()

      Возвращает путь к директории, где находится шаблон
      Returns:
        patternDirectory - путь

    - #### getRootDirectorySave

          public java.lang.String getRootDirectorySave()

      Возвращает путь к директитории, куда будет сохранен сгенерированный документ
      Returns:
        rootDirectorySave - путь

    - #### getPatternTitle

          public java.lang.String getPatternTitle()

      Возвращает название шаблона.
      Returns:
        patternTitle - название шаблона

    - #### getPatternId

          public int getPatternId()

      Возвращает код шаблона.
      Returns:
        patternId - код шаблона

    - #### getJournalId

          public int getJournalId()

      Возвращает код журнала.
      Returns:
        journalId - код журнала

    - #### getDocumentTypeId

          public int getDocumentTypeId()

      Возвращает код типа документа.
      Returns:
        documentTypeId - код типа документа

    - #### getParamsMap

          public java.util.Map<java.lang.String,java.lang.Object> getParamsMap()

      Возвращает мап с параметрами для документа.
      Returns:
        paramsMap - мап с параметрами

    - #### getIdDocument

          public int getIdDocument()

      Возвращает код сгенерированного документа, прикрепленного к договору.
      Returns:
        idDocument - код сгенерированного документа.

    - #### setIdDocument

          public void setIdDocument(int idDocument)

      Устанавливает код сгенерированного документа, прикрепленного к договору
      Parameters:
        `idDocument` - - код документа